summaryrefslogtreecommitdiffstats
path: root/source/t/transfig
diff options
context:
space:
mode:
Diffstat (limited to 'source/t/transfig')
-rw-r--r--source/t/transfig/transfig.3.2.4-gcc4.patch34
-rwxr-xr-xsource/t/transfig/transfig.SlackBuild18
-rw-r--r--source/t/transfig/transfig.diff23
-rw-r--r--source/t/transfig/transfig.png14.nodither.diff11
4 files changed, 17 insertions, 69 deletions
diff --git a/source/t/transfig/transfig.3.2.4-gcc4.patch b/source/t/transfig/transfig.3.2.4-gcc4.patch
deleted file mode 100644
index a8ba41f63..000000000
--- a/source/t/transfig/transfig.3.2.4-gcc4.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-diff -Naur transfig.3.2.4/fig2dev/dev/gensvg.c transfig.3.2.4-gcc4/fig2dev/dev/gensvg.c
---- transfig.3.2.4/fig2dev/dev/gensvg.c 2002-12-18 20:38:18.000000000 -0200
-+++ transfig.3.2.4-gcc4/fig2dev/dev/gensvg.c 2007-02-19 16:59:30.000000000 -0200
-@@ -692,16 +692,14 @@
- if (t->angle != 0) {
- fprintf (tfp, "<g transform=\"translate(%d,%d) rotate(%d)\" >\n",
- (int) (t->base_x * mag), (int) (t->base_y * mag), degrees (t->angle));
-- fprintf (tfp, "<text x=\"0\" y=\"0\" fill=\"#%6.6x\" font-family=\"%s\"
-- font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
-+ fprintf (tfp, "<text x=\"0\" y=\"0\" fill=\"#%6.6x\" font-family=\"%s\" font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
- rgbColorVal (t->color), family[(int) ceil ((t->font + 1) / 4)],
- (t->font % 2 == 0 ? "normal" : "italic"),
- (t->font % 4 < 2 ? "normal" : "bold"), (int) (ceil (t->size * 12 * mag)),
- anchor[t->type]);
- }
- else
-- fprintf (tfp, "<text x=\"%d\" y=\"%d\" fill=\"#%6.6x\" font-family=\"%s\"
-- font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
-+ fprintf (tfp, "<text x=\"%d\" y=\"%d\" fill=\"#%6.6x\" font-family=\"%s\" font-style=\"%s\" font-weight=\"%s\" font-size=\"%d\" text-anchor=\"%s\" >\n",
- (int) (t->base_x * mag), (int) (t->base_y * mag), rgbColorVal (t->color),
- family[(int) ceil ((t->font + 1) / 4)],
- (t->font % 2 == 0 ? "normal" : "italic"),
-diff -Naur transfig.3.2.4/fig2dev/fig2dev.h transfig.3.2.4-gcc4/fig2dev/fig2dev.h
---- transfig.3.2.4/fig2dev/fig2dev.h 2002-12-18 20:45:28.000000000 -0200
-+++ transfig.3.2.4-gcc4/fig2dev/fig2dev.h 2007-02-19 16:58:18.000000000 -0200
-@@ -22,7 +22,7 @@
- #include <sys/file.h>
- #include <signal.h>
- #include <string.h>
--#include <varargs.h>
-+#include <stdarg.h>
- #include <pwd.h>
- #include <errno.h>
- #include <time.h>
diff --git a/source/t/transfig/transfig.SlackBuild b/source/t/transfig/transfig.SlackBuild
index 051fb8a3b..f626635f9 100755
--- a/source/t/transfig/transfig.SlackBuild
+++ b/source/t/transfig/transfig.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +22,8 @@
PKGNAM=transfig
-VERSION=${VERSION:-3.2.4}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-3.2.5e}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -56,21 +56,23 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}.$VERSION.tar.gz || exit 1
+tar xvf $CWD/${PKGNAM}.$VERSION.tar.xz || exit 1
cd ${PKGNAM}.$VERSION || exit 1
+find . -name "*.orig" -exec rm "{}" \;
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) -o \
+ \( -perm 700 -type d \) \
-exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) -o \
+ \( -perm 700 -type f \) \
-exec chmod 644 {} \;
zcat $CWD/transfig.diff.gz | sed -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
| patch -p1 --verbose || exit 1
-zcat $CWD/transfig.3.2.4-gcc4.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/transfig.png14.nodither.diff.gz | patch -p1 --verbose || exit 1
xmkmf || exit 1
make Makefiles || exit 1
diff --git a/source/t/transfig/transfig.diff b/source/t/transfig/transfig.diff
index 40026dd1e..02722cf69 100644
--- a/source/t/transfig/transfig.diff
+++ b/source/t/transfig/transfig.diff
@@ -1,6 +1,6 @@
---- ./fig2dev/Imakefile.orig 2002-12-19 09:33:44.000000000 -0800
-+++ ./fig2dev/Imakefile 2003-03-03 19:58:09.000000000 -0800
-@@ -20,7 +20,7 @@
+--- ./fig2dev/Imakefile.orig 2010-06-02 14:18:16.000000000 -0500
++++ ./fig2dev/Imakefile 2013-09-18 21:09:04.657010139 -0500
+@@ -34,7 +34,7 @@
XCOMM You should point XFIGLIBDIR to the same directory you did when you compiled
XCOMM and installed xfig.
@@ -8,22 +8,13 @@
+XFIGLIBDIR = /usr/lib/X11/xfig
XCOMM ******
- XCOMM If your system has the strerror() function (doesn't have sys_errlist) then
-@@ -73,7 +73,7 @@
- XCOMM Change XPMINC if necessary to point to the include file for xpm (xpm.h)
- XCOMM
-
--XCOMM #define USEXPM
-+#define USEXPM
-
- #ifdef USEXPM
- XPMLIBDIR = $(USRLIBDIR)
-@@ -126,7 +126,7 @@
+ XCOMM If your system doesn't have the strerror() function (has sys_errlist) then
+@@ -141,7 +141,7 @@
#ifdef I18N
I18N_DEFS = -DI18N
-FIG2DEV_LIBDIR = /usr/local/lib/fig2dev
+FIG2DEV_LIBDIR = /usr/lib/X11/fig2dev
- I18N_DEV_DEFS = $(I18N_DEFS) -DFIG2DEV_LIBDIR=\\\"$(FIG2DEV_LIBDIR)\\\"
+ I18N_DEV_DEFS = $(I18N_DEFS) -DFIG2DEV_LIBDIR=$(FIG2DEV_LIBDIR) -DFIG2DEV_LIBDIR_STR=\\\"$(FIG2DEV_LIBDIR)\\\"
- install::
+ #endif /* I18N */
diff --git a/source/t/transfig/transfig.png14.nodither.diff b/source/t/transfig/transfig.png14.nodither.diff
deleted file mode 100644
index 3964955ad..000000000
--- a/source/t/transfig/transfig.png14.nodither.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./fig2dev/dev/readpng.c.orig 2002-12-18 16:40:35.000000000 -0600
-+++ ./fig2dev/dev/readpng.c 2010-02-19 19:25:54.000000000 -0600
-@@ -127,7 +127,7 @@
-
- if (png_get_PLTE(png_ptr, info_ptr, &palette, &num_palette)) {
- png_get_hIST(png_ptr, info_ptr, &histogram);
-- png_set_dither(png_ptr, palette, num_palette, 256, histogram, 0);
-+ /* png_set_dither(png_ptr, palette, num_palette, 256, histogram, 0); */
- }
- }
- if (color_type == PNG_COLOR_TYPE_GRAY || color_type == PNG_COLOR_TYPE_GRAY_ALPHA) {